summaryrefslogtreecommitdiff
path: root/package/firewall/files/lib
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2011-12-20 01:10:15 +0000
committerJo-Philipp Wich <jow@openwrt.org>2011-12-20 01:10:15 +0000
commit77dda8d67ac852b73bf60c8dec0fbb958168b7ea (patch)
tree1ee2443e5727863411a478e424734cfa625660ab /package/firewall/files/lib
parent0cd03df3b12e7aa533239ef544bdd69c5512a433 (diff)
downloadmtk-20170518-77dda8d67ac852b73bf60c8dec0fbb958168b7ea.zip
mtk-20170518-77dda8d67ac852b73bf60c8dec0fbb958168b7ea.tar.gz
mtk-20170518-77dda8d67ac852b73bf60c8dec0fbb958168b7ea.tar.bz2
firewall: - introduce per-section "option enabled" which defaults to "1" - useful to disable rules or zones without having to delete them - annotate default traffic rules with names - bump version
SVN-Revision: 29577
Diffstat (limited to 'package/firewall/files/lib')
-rw-r--r--package/firewall/files/lib/config.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/package/firewall/files/lib/config.sh b/package/firewall/files/lib/config.sh
index 996cef8..8b2399f 100644
--- a/package/firewall/files/lib/config.sh
+++ b/package/firewall/files/lib/config.sh
@@ -34,7 +34,11 @@ fw_config_get_section() { # <config> <prefix> <type> <name> <default> ...
export ${NO_EXPORT:+-n} -- "${prefix}NAME"="${config}"
config_get "${prefix}TYPE" "$config" TYPE
}
-
+
+ local enabled
+ config_get_bool enabled "$config" enabled 1
+ [ $enabled -eq 1 ] || return 1
+
[ "$1" == '{' ] && shift
while [ $# -ge 3 ]; do
local type=$1